GET api/v1/code-list/{entity}/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| entity | string |
Required |
|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CodeList| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| name | string |
None. |
|
| deleted | boolean |
Required |
|
| system_information | SystemInformation |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": "f0c41e6f-037a-4632-8a60-4959d48f0aba",
"name": "sample string 2",
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "59148dce-99f8-4de2-9844-ee0c8c70c09e",
"image_id": "6e6757e6-d4a3-473c-a83e-a99f6e417481",
"id_user_work_position": "0e9e4db1-4100-4710-8c97-c8f02e1d3093",
"id_shift": "f1d9174d-dd70-47f0-925f-e55de3305088",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T09:24:09Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "59148dce-99f8-4de2-9844-ee0c8c70c09e",
"image_id": "6e6757e6-d4a3-473c-a83e-a99f6e417481",
"id_user_work_position": "0e9e4db1-4100-4710-8c97-c8f02e1d3093",
"id_shift": "f1d9174d-dd70-47f0-925f-e55de3305088",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T09:24:09Z"
}
}
}
application/xml, text/xml
Sample:
<CodeList xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<deleted>true</deleted>
<id>f0c41e6f-037a-4632-8a60-4959d48f0aba</id>
<name>sample string 2</name>
<system_information>
<creation>
<date>2026-05-06T11:24:09.0874744+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>59148dce-99f8-4de2-9844-ee0c8c70c09e</id>
<id_shift>f1d9174d-dd70-47f0-925f-e55de3305088</id_shift>
<id_user_work_position>0e9e4db1-4100-4710-8c97-c8f02e1d3093</id_user_work_position>
<image_id>6e6757e6-d4a3-473c-a83e-a99f6e417481</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-05-06T11:24:09.0874744+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>59148dce-99f8-4de2-9844-ee0c8c70c09e</id>
<id_shift>f1d9174d-dd70-47f0-925f-e55de3305088</id_shift>
<id_user_work_position>0e9e4db1-4100-4710-8c97-c8f02e1d3093</id_user_work_position>
<image_id>6e6757e6-d4a3-473c-a83e-a99f6e417481</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</CodeList>